Subject: [OPS-AREA] [Fwd: I-D ACTION:draft-xu-cops-push-00.txt]

From: "Tom-PT Taylor" <[email-masked]>
Date: Fri, 16 Feb 2007 17:16:48 -0500

The ITU-T is standardizing protocols for a number of resource control 
interfaces. COPS-PR (amongst other protocols) has been proposed for the 
Rw interface, which manages gate control and NATing at the ingress and 
egress to a QoS-controlled network. However, as the I-D below describes, 
COPS doesn't work as well for the push model as it does for the pull 
model. The draft below proposes a modification to COPS that would make 
push model operation more efficient. The primary authors, Xu Heyuan and 
Hexian Huang, would welcome comments on the proposed approach.

[email-masked] wrote:
> A New Internet-Draft is available from the on-line Internet-Drafts 
> directories.
> 
> 
> 	Title		: A Modification to COPS to Improve Implementation of Push Mode
> 	Author(s)	: H. Xu, et al.
> 	Filename	: draft-xu-cops-push-00.txt
> 	Pages		: 17
> 	Date		: 2007-2-16
> 	
>    COPS (RFC 2748) was originally designed for pull mode operation.  The
>    message exchanges for pull mode are efficient and support a close
>    relationship between the protocol operations and state associated
>    with particular events detected at the Policy Enforcement Point
>    (PEP).  The operation of push mode, as defined in COPS-PR (RFC 3084),
>    is more awkward.  Push mode involves extra messaging between the PEP
>    and the Policy Decision Point (PDP) if one again wants to associate
>    state arising from specific events (this time detected at the PDP)
>    with specific protocol operations.
> 
>    This memo proposes to modify RFC 2748 to make push mode operation
>    more efficient.  Comments are invited on whether there are issues
>    with the proposed solution.
> 
> 
> A URL for this Internet-Draft is:
> http://www.ietf.org/internet-drafts/draft-xu-cops-push-00.txt
> 
...

_______________________________________________
OPS-AREA mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/ops-area